Namespace: webdriver.promise
View Source

# class MicroTask_<THIS>

Wraps a function to execute as a cancellable micro task.

## new MicroTask_(fn, opt_scope)

Parameters

fn`function(): ?`

  The function to run as a micro task.

opt_scope`THIS=`

  The scope to run the function in.

## Instance Methods

### cancel()code »

Cancels the execution of this task. Note: this will not prevent the task timer from firing, just the invocation of the wrapped function.